part of 'common_data_bloc.dart';

abstract class CommonDataState extends Equatable {
  const CommonDataState();

  @override
  List<Object> get props => [];
}

class CommonDataInitial extends CommonDataState {}

class CommonDataFailure extends CommonDataState {}

class CommonDataSuccess<T> extends CommonDataState {
  final List<T>? items;

  const CommonDataSuccess({this.items});

  CommonDataSuccess copyWith({List<T>? items}) {
    return CommonDataSuccess(items: items ?? this.items);
  }

  // @override
  // List<Object> get props => [items];
}
